> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List knowledge stores

GET https://astropods.com/api/v1/accounts/{account}/knowledge

Reference: https://docs.astropods.com/api-reference/astropods-api/knowledge/list-knowledge-stores

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name

### Query parameters

- `q` (string, optional) — Search store name
- `status` (string, optional) — Only these statuses (comma-separated: connecting, pending-acceptance, ready, error)
- `provider` (string, optional) — Only these providers (comma-separated: postgres, supabase, mysql, redis, neo4j, pinecone, qdrant)
- `mode` (string, optional) — Only these modes (comma-separated: managed, external)
- `created_after` (string, optional) — Only stores created at or after this RFC 3339 time
- `created_before` (string, optional) — Only stores created before this RFC 3339 time
- `updated_after` (string, optional) — Only stores updated at or after this RFC 3339 time
- `updated_before` (string, optional) — Only stores updated before this RFC 3339 time
- `sort` (string, optional) — Sort: created (default), name, or updated
- `cursor` (string, optional) — Opaque next_cursor from the previous page of the same sort
- `limit` (string, optional) — Page size (default 50, max 100)

## Response

### 200

OK

- `page` (KnowledgeListPage, optional)
- `stores` (list of KnowledgeResponse, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### KnowledgeListPage

- `limit` (integer, optional)
- `next_cursor` (string, optional)

### KnowledgeResponse

- `account` (string, optional)
- `account_id` (string, optional)
- `annotations` (map from string to string, optional)
- `arn` (string, optional)
- `bound_agents` (list of BoundAgent, optional)
- `created_at` (datetime, optional)
- `error` (string, optional, nullable)
- `id` (string, optional)
- `mode` (string, optional)
- `name` (string, optional)
- `private_link` (KnowledgePrivateLinkResponse, optional)
- `provider` (string, optional)
- `status` (string, optional)
- `updated_at` (datetime, optional)

### BoundAgent

- `agent_name` (string, optional)
- `deployment_id` (string, optional)
- `display_name` (string, optional)
- `knowledge_name` (string, optional)

### KnowledgePrivateLinkResponse

- `cloud_provider` (string, optional)
- `endpoint_service` (string, optional)
- `endpoints` (list of KnowledgeEndpointResponse, optional)
- `region` (string, optional)

### KnowledgeEndpointResponse

- `cluster_id` (string, optional)
- `cluster_name` (string, optional)
- `endpoint_dns` (string, optional, nullable)
- `endpoint_id` (string, optional, nullable)
- `error` (string, optional, nullable)
- `region` (string, optional)
- `status` (string, optional)

## Examples

**Response**

```json
{
  "page": {
    "limit": 1,
    "next_cursor": "string"
  },
  "stores": [
    {
      "account": "string",
      "account_id": "string",
      "annotations": {},
      "arn": "string",
      "bound_agents": [
        {
          "agent_name": "string",
          "deployment_id": "string",
          "display_name": "string",
          "knowledge_name": "string"
        }
      ],
      "created_at": "2024-01-15T09:30:00Z",
      "error": "string",
      "id": "string",
      "mode": "string",
      "name": "string",
      "private_link": {
        "cloud_provider": "string",
        "endpoint_service": "string",
        "endpoints": [
          {
            "cluster_id": "string",
            "cluster_name": "string",
            "endpoint_dns": "string",
            "endpoint_id": "string",
            "error": "string",
            "region": "string",
            "status": "string"
          }
        ],
        "region": "string"
      },
      "provider": "string",
      "status": "string",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/knowledge"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/knowledge';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/knowledge"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/knowledge")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/knowledge")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/knowledge', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/knowledge");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/knowledge")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```